Ubuntu

CIFS mount blocks suspend/hibernate

Reported by Glenn Morse on 2005-10-20
92
This bug affects 19 people
Affects Status Importance Assigned to Milestone
Linux
Expired
Medium
Gentoo Linux
New
Undecided
Unassigned
kdeutils (Ubuntu)
Medium
Unassigned
Natty
Undecided
Unassigned
Oneiric
Undecided
Unassigned
Precise
Medium
Unassigned
linux (Ubuntu)
Undecided
Chris J Arges
Natty
Undecided
Chris J Arges
Oneiric
Undecided
Chris J Arges
Precise
Undecided
Chris J Arges

Bug Description

If I have any network shares mounted via CIFS, the cifsd process prevents klaptop from suspending/hibernating.
Unmounting manually first fixes everything. Mounting using smbfs instead of cifs lets suspend/hibernate work
fine, but that's not a good solution, as smbfs is not the preferred solution. I'm not sure if this is specific
to klaptop, or if it applies to all power management, as klaptop is the only way I can get my laptop to
suspend.

This is Kubuntu 5.10, kernel 2.6.12-9, KDE 3.4.3

see #75888, I also have the problem that the system crashes when trying to shut down or reboot.. THIS IS REALLY ANNOYING and should be fixed very soon..

Andrew (abranson) wrote :

I've got the same problem as this on gnome. It's not kdeutils specific.

Steve Stalcup (vorian) on 2008-01-07
Changed in kdeutils:
status: New → In Progress
Sidarth Dasari (sirsid) wrote :

I have the same problem in Hardy as well using gnome. CIFS prevents me from shutting down cleanly

Colin Kelly (colinrk) wrote :

Suspend, hibernate, shutdown and reboot, all produce errors on use for me on gnome/ubuntu 8.04 amd64 when I have smbfs shares in fstab.
 Errors:

------------------from /var/log/syslog
Sep 29 12:13:56 plug1 kernel: [ 43.930432] CIFS VFS: Error connecting to IPv4 socket. Aborting operation
Sep 29 12:13:56 plug1 kernel: [ 43.930434] CIFS VFS: cifs_mount failed w/return code = -101
------------------
repeats ~10 times
it seems that the network connection is closed before the networked fs is unmounted reulting in halted shutdown.

Markus Golser (golserma) wrote :

Same here on kubuntu 8.10

Jonathan Thomas (echidnaman) wrote :

Doubting that this is actually in progress.

Changed in kdeutils:
status: In Progress → Confirmed
assignee: jr → nobody
Andrew M. (ender-neo) wrote :

this still goes on in 9.04 w/ latest patches

Andrew M. (ender-neo) wrote :

this is not specific to Ubuntu, either - my Gentoo box has the same problem

also, this isn't a KDE problem at all, it's more a problem of CIFS in the linux kernel

Jonathan Thomas (echidnaman) wrote :

Ok, thanks. Invalidating the kdeutils task then.

Changed in kdeutils:
status: Confirmed → Invalid

Hi n3st5p702,

This bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? Can you try with the latest development release of Ubuntu? ISO CD images are available from http://cdimage.ubuntu.com/releases/ .

If it remains an issue, could you run the following command from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.

apport-collect -p linux-image-`uname -r` 24330

Also, if you could test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

[This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: kernel-suspend
tags: added: kernel-hibernate
tags: added: needs-kernel-logs
tags: added: needs-upstream-testing
tags: added: kj-triage
Changed in linux (Ubuntu):
status: New → Incomplete
Jonathan Thomas (echidnaman) wrote :

We are closing this bug report because it lacks the information we need to investigate the problem, as described in the previous comments. Please reopen it if you can give us the missing information, and don't hesitate to submit bug reports in the future. To reopen the bug report you can click on the current status, under the Status column, and change the Status back to "New". Thanks again!

Changed in linux (Ubuntu):
status: Incomplete → Invalid
thecrane (thecrane) wrote :

I'd like to re-open this, because I'm still having this problem using Ubuntu 9.04.

Another symptom is the receiving of CIFS error messages when the PCs try to suspend. Checking other sites on the net, and apparently it's due to the network connection being dropped before unmounting the shares - something CIFS freaks out at apparently. However, none of the solutions provided (i.e. adding umountnfs.sh higher up in the rc0.d etc.) solve this for me.

But back to this one specifically, when trying to suspend - either from the menu/Shutdown, or by using the Fn keys - 8/10 times, the laptop will start to suspend, and then come back to the lock screen. Interestingly, if I then Fn-F2 (Dell Inspiron 6400) to force suspend from that screen, it usually does suspend okay. I can only assume this is because the first suspend attempt unmounts the CIFS mounts so the laptop is then free to suspend the second time?

I've attached the output of apport-collect -p linux-image-`uname -r` 24330. Please let me know if you require anything further. But this is definitely still a bug - and an annoying one at that! I would have thought there would be more people complaining about this, given the popularity of mounting CIFS shares. Weird.

Architecture: i386
DistroRelease: Ubuntu 9.04
HibernationDevice: RESUME=UUID=ca6e49b9-1a58-4fe3-b83f-cea8dd51f0c9
MachineType: Dell Inc. MM061
Package: linux-image-2.6.28-11-generic 2.6.28-11.42
PackageArchitecture: i386
ProcCmdLine: root=UUID=b6a1ba1a-e3f9-400e-abc0-9af8f0c79599 ro quiet splash
ProcEnviron:
 SHELL=/bin/bash
 PATH=(custom, no user)
 LANG=en_NZ.UTF-8
ProcVersionSignature: Ubuntu 2.6.28-11.42-generic
Uname: Linux 2.6.28-11-generic i686
UserGroups:

thecrane (thecrane) wrote :
thecrane (thecrane) wrote :
thecrane (thecrane) wrote :
thecrane (thecrane) wrote :
thecrane (thecrane) wrote :
thecrane (thecrane) wrote :
thecrane (thecrane) wrote :
thecrane (thecrane) wrote :
thecrane (thecrane) wrote :
Changed in linux (Ubuntu):
status: Invalid → New
chazn85 (chaz-n) wrote :

This bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? Can you try with the latest development release of Ubuntu? ISO CD images are available from http://cdimage.ubuntu.com/daily-live/current

If it remains an issue, could you run the following command from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.
apport-collect -p linux 24330

Changed in linux (Ubuntu):
status: New → Incomplete
Changed in linux:
status: Unknown → Incomplete
Changed in linux:
importance: Unknown → Medium
Andrew M. (ender-neo) wrote :

this is still a problem, even on the "released" 11.10
bug 752012 has some detailed logs from 11.10 showing the failure.

Tim Gardner (timg-tpi) wrote :

upstream commit f06ac72e929115f2772c29727152ba0832d641e4

Andrew M. (ender-neo) on 2011-11-01
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Chris J Arges (arges) on 2011-11-09
Changed in linux (Ubuntu):
assignee: nobody → Chris J Arges (christopherarges)
status: Confirmed → In Progress
Chris J Arges (arges) on 2011-11-09
description: updated
Chris J Arges (arges) on 2011-11-09
description: updated

The attachment "cifs-freezer-add-wait_event_freezekillable patch" of this bug report has been identified as being a patch. The ubuntu-reviewers team has been subscribed to the bug report so that they can review the patch. In the event that this is in fact not a patch you can resolve this situation by removing the tag 'patch' from the bug report and editing the attachment so that it is not flagged as a patch. Additionally, if you are member of the ubuntu-sponsors please also unsubscribe the team from this bug report.

[This is an automated message performed by a Launchpad user owned by Brian Murray. Please contact him regarding any issues with the action taken in this bug report.]

tags: added: patch
Chris J Arges (arges) on 2011-11-09
description: updated
Chris J Arges (arges) wrote :

Test setup:
t420 with a wireless connection and a cifs share on another machine
vanilla natty (2.6.38-8-generic)
sudo apt-get install cifs-utils
mount -t cifs //192.168.1.102/test /mnt -o user=$USER

Test cases:

* mount with no activity
 sudo fwts --s3-multiple=5 s3
 result: suspend / resume works with a cifs share mounted

* mount with reads
 while true; do cat /mnt/hello > /dev/null; done &
 sudo fwts s3
 result: suspend fails, get 'Freezing of tasks failed...' computer is responsive.

* mount with writes
 while true; do cat /dev/urandom > /mnt/rnd; done &
 sudo fwts s3
 result: suspend fails, and computer becomes unresponsive

Tim Gardner (timg-tpi) on 2011-11-14
Changed in linux (Ubuntu Natty):
assignee: nobody → Chris J Arges (christopherarges)
status: New → Fix Committed
Changed in linux (Ubuntu Oneiric):
assignee: nobody → Chris J Arges (christopherarges)
status: New → Fix Committed
Changed in linux (Ubuntu Precise):
status: In Progress → Fix Released
Herton R. Krzesinski (herton) wrote :

This bug is awaiting verification that the kernel for Oneiric in -proposed solves the problem (3.0.0-14.23). Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-oneiric' to 'verification-done-oneiric'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-oneiric
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in kdeutils (Ubuntu Natty):
status: New → Confirmed
Changed in kdeutils (Ubuntu Oneiric):
status: New → Confirmed

I tested 3.0.0-14-generic-pae #23~lucid1 and the result looks good.

Torsten Spindler (tspindler) wrote :

I tested the oneiric-proposed kernel and my laptop suspended fine with a cifs mount on the system, even when reading from the cifs mount during suspend.

Chris Van Hoof (vanhoof) wrote :

Updaing tag to verification-done-oneiric based on feedback in Comment #35 and Comment #36

tags: added: verification-done-oneiric
removed: verification-needed-oneiric
Herton R. Krzesinski (herton) wrote :

This bug is awaiting verification that the kernel for Natty in -proposed solves the problem (2.6.38-13.53). Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-natty' to 'verification-done-natty'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-natty
Chris J Arges (arges) wrote :

Tested natty-proposed on my laptop. Suspend works with cifs mount, and if a process is reading a file on a cifs mount. If a process is writing a file to a cifs mount we do not suspend, we just get a black screen. However, this is what we wanted as it fixes the case for most users, and improves the system.

tags: added: verification-done-natty
removed: verification-needed-natty
Launchpad Janitor (janitor) wrote :
Download full text (24.8 KiB)

This bug was fixed in the package linux - 3.0.0-14.23

---------------
linux (3.0.0-14.23) oneiric-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #893213

  [ Andy Whitcroft ]

  * debian: add locking to protect debian/files from parallel update

  [ Konrad Rzeszutek Wilk ]

  * SAUCE: x86/paravirt: Partially revert "remove lazy mode in interrupts"
    - LP: #854050

  [ Leann Ogasawara ]

  * Revert "ubuntu: fsam7400 disable driver"
    - LP: #876030

  [ Seth Forshee ]

  * [Config] Enable EVENT_POWER_TRACING_DEPRECATED=y for powertop

  [ Tim Gardner ]

  * Add postinit and postrm scripts to the extras package
    - LP: #882120
  * [Config] CONFIG_R6040=m
    - LP: #650899
  * [Config] CONFIG_MEMSTICK_R592=m
    - LP: #238208
  * [Config] CONFIG_HID_ACRUX_FF=y
    - LP: #890952

  [ Upstream Kernel Changes ]

  * Revert "NFS: Ensure that writeback_single_inode() calls write_inode()
    when syncing"
    - LP: #890952
  * sparc64: Force the execute bit in OpenFirmware's translation entries.
    - LP: #881420
  * sched/rt: Migrate equal priority tasks to available CPUs
    - LP: #881420
  * sched: Fix up wchan borkage
    - LP: #881420
  * ide-disk: Fix request requeuing
    - LP: #881420
  * posix-cpu-timers: Cure SMP wobbles
    - LP: #881420
  * lis3: fix regression of HP DriveGuard with 8bit chip
    - LP: #881420
  * ASoC: use a valid device for dev_err() in Zylonite
    - LP: #881420
  * ASoC: Fix setting update bits for WM8753_LADC and WM8753_RADC
    - LP: #881420
  * drm/radeon: Update AVIVO cursor coordinate origin before x/yorigin
    calculation.
    - LP: #881420
  * drm/radeon/kms: fix regression in DP aux defer handling
    - LP: #881420
  * drm/radeon/kms: add retry limits for native DP aux defer
    - LP: #881420
  * drm/radeon/kms: fix channel_remap setup (v2)
    - LP: #881420
  * ptp: fix L2 event message recognition
    - LP: #881420
  * x86/PCI: use host bridge _CRS info on ASUS M2V-MX SE
    - LP: #881420
  * qla2xxx: Fix crash in qla2x00_abort_all_cmds() on unload
    - LP: #881420
  * libsas: fix panic when single phy is disabled on a wide port
    - LP: #881420
  * md: Avoid waking up a thread after it has been freed.
    - LP: #881420
  * dm table: avoid crash if integrity profile changes
    - LP: #881420
  * mmc: mxs-mmc: fix clock rate setting
    - LP: #881420
  * exec: do not call request_module() twice from search_binary_handler()
    - LP: #881420
  * ARM: mach-ux500: enable fix for ARM errata 754322
    - LP: #881420
  * drm/radeon/kms: retry aux transactions if there are status flags
    - LP: #881420
  * drm/radeon/kms: use hardcoded dig encoder to transmitter mapping for
    DCE4.1
    - LP: #881420
  * ipv6: fix NULL dereference in udp6_ufo_fragment()
    - LP: #881420
  * ahci: Enable SB600 64bit DMA on Asus M3A
    - LP: #881420
  * MIPS: PM: Use struct syscore_ops instead of sysdevs for PM (v2)
    - LP: #881420
  * ftrace: Fix regression of :mod:module function enabling
    - LP: #881420
  * ftrace: Fix regression where ftrace breaks when modules are loaded
    - LP: #881420
  * ftrace: Fix warning when CONFIG_FUNCTION_TRACER is not defined
    - LP: #881420
  * ...

Changed in linux (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.38-13.53

---------------
linux (2.6.38-13.53) natty-proposed; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #897320

  [ Upstream Kernel Changes ]

  * cifs, freezer: add wait_event_freezekillable and have cifs use it
    - LP: #24330
  * Fixup trivial checkpatch warning
    - LP: #24330
  * Fix build break when freezer not configured
    - LP: #24330
  * PM / Freezer: Reimplement wait_event_freezekillable using
    freezer_do_not_count/freezer_count
    - LP: #24330
  * crypto: ghash - Avoid null pointer dereference if no key is set
    - LP: #887299
    - CVE-2011-4081
  * ata_piix: make DVD Drive recognisable on systems with Intel Sandybridge
    chipsets(v2)
    - LP: #737388, #782389, #794642
  * drm/i915: fix CB tuning check for ILK+
    - LP: #891031
  * xfs: Fix possible memory corruption in xfs_readlink, CVE-2011-4077
    - LP: #887298
    - CVE-2011-4077
  * jbd/jbd2: validate sb->s_first in journal_get_superblock()
    - LP: #893148
    - CVE-2011-4132
  * hfs: add sanity check for file name length, CVE-2011-4330
    - LP: #894374
    - CVE-2011-4330
 -- Brad Figg <email address hidden> Mon, 28 Nov 2011 09:48:40 -0800

Changed in linux (Ubuntu Natty):
status: Fix Committed → Fix Released
Sam Darraj (samo12156) on 2012-01-17
Changed in linux (Ubuntu Natty):
assignee: Chris J Arges (christopherarges) → Sam Darraj (samo12156)
Chris J Arges (arges) on 2012-01-17
Changed in linux (Ubuntu Natty):
assignee: Sam Darraj (samo12156) → Chris J Arges (christopherarges)
Phil Hughes (nicafyl) wrote :

It appears I am seeing this same bug in Kubuntu 12.04. It happens when I have an NFS mounted FS open in Dolphin and attempt to sleep the machine. I have reported this is (many) earlier versions. It is nothing new.

Changed in linux:
status: Incomplete → Expired

Phil, you're right. Hibernate is disabled by default in Xubuntu 12.04 due to known bugs. Don't count on hardware that supports suspend or hibernate to work with the 'buntus or even other debian based distros. It's supposed to be specific to laptops, but it's disabled on desktop systems too, and after enabling it I find yes it is a bug/annoyance.
I'm wondering if these "tasks refusing to freeze" could be automated TO freeze, before the hibernate or suspend command is executed, instead of this error message (abut 7 in 10 times on my system, sometimes it works flawlessly. Doesn't seem to matter that everything is closed except weather app and samba shares.)
Alternatively, would this not work if the user were logged out and all activity suspended (as it were) before hibernate or suspend were carried out?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.